<?php
	$seiten_id = 'ibm1130';
	$version = '$Id: ibm1130.php 271 2013-04-23 19:23:24Z heribert $';
	$titel = 'IBM 1130 Computing System';
	
	require "../../lib/technikum29.php";
?>
   
	<h2 id="ibm1130"><b>IBM 1130</b>  &nbsp;  Computing System</h2>

<div class="box center clear-after">
		<img src="/shared/photos/rechnertechnik/ibm-register.jpg"  width="516" height="185" />	
	</div>
	<p>In December 2013 we got a wonderful and interesting IBM 1130 computer. This model was announced in December 1965 and was shipped beginning in 1966. It was primarily used for scientific, engineering and mathematical purposes. Many universities for applied sciences also had such machines since funding was easy once it had been demonstrated that the machine could also be used for clerical applications as well. Our machine was once used at the university of applied sciences in Darmstadt (see here for background information: <link>).<br><br>
 
Initially, IBM estimated that a market for about 100 machines of this particular model might exist. It turned out that this estimation was far to pessimistic. Since the system featured a disk drive and was very cheap, compared with comparable machines from other vendors, about 50% of the systems running at customer locations were used in clerical applications. Thus, in Germany alone 385 machines were in use in 1970. The monthly rent was between 3500 DM and 14500 DM (this was about 3 to 12 times more than the average montly earnings of a German worker in 1970) depending on the configuration of the system.<br><br>
 
Beginning in 1964/65, IBM developed so-called SLT (Solid Logic Technology) devices - precursors of todays SMD (Surface Mounted Device) components. This technology found widespread use in the 1980s - about 20 years after IBMs pioneering developments. (Cf. our repair blog: <link>) Our machine is as a card-system fully functional since January 2015. We will now focus on the restauration of the disk drive.</b></a>. 
		
	
</p>
	
	<div class="box center clear-after">
		<img src="/shared/photos/rechnertechnik/ibm-1130.jpg" alt="IBM 1130 Elektronische Rechenanlage" width="860" height="606" />
		<p class="bildtext"><b>IBM 1130:</b> IBM 1131 central processing unit (front, right), memory expansion (left), IBM 1442 punched card unit (background, left), IBM 1132 printer (right)</p>
	</div>
	
	
	<div class="cols" style="clear:left;">
	<div class="leftcol">
	
			<div class="box clear">
			</div>
			<div class="desc-left no-copyright">
			<a class="popup" href="/shared/photos/rechnertechnik/ibm-1130-konsole.jpg">
				<img src="/shared/photos/rechnertechnik/ibm-1130-konsole.jpg" alt="Nahaufnahme" width="352" height="288" />
			</a>	1
			</div>			

			<div class="box clear">
			</div>
			<div class="desc-left no-copyright">
			<a class="popup" href="/shared/photos/rechnertechnik/1132-detail.jpg">
				<img src="/shared/photos/rechnertechnik/ibm-1132.jpg" alt="Drucker offen" width="352" height="409" />
			</a>	2
			</div>

			<div class="box clear">
			</div>
			<div class="desc-left no-copyright">
			<a class="popup" href="/shared/photos/rechnertechnik/1130-memory.jpg">
				<img src="/shared/photos/rechnertechnik/1130-memory.jpg" alt="8k-Kernspeicher" width="352" height="264" />
			</a>	3
			</div>
			
			<br>
			<div class="box clear">	
			</div>
			<div class="desc-left no-copyright">
			<a class="popup" href="/shared/photos/rechnertechnik/facit4000.jpg">
				<img src="/shared/photos/rechnertechnik/facit4000.jpg" alt="Lochstreifengerte" width="352" height="137" />
			</a>	4
			</div>
			
			<div class="box clear">	
			</div>
			<div class="desc-left no-copyright">
			<a class="popup" href="/shared/photos/rechnertechnik/plotter+terminal.jpg">
				<img src="/shared/photos/rechnertechnik/plotter+terminal.jpg" alt="Plotter und Terminal" width="352" height="152" />
			</a>	5
			</div>
					
			</div>
			
		<div class="rightcol">
		<p>	All pictures can be enlarged by clicking on them.<br><br>
		
		Figure 1 shows the keyboard with the ball-printing mechanism, the control console and the display panel. The keyboard is identical to that used in the IBM 029 card punch - its decoding mechanism is purely mechanic. The smallest configuration of the computer system had no memory expansion (front, left), no IBM 1132 printer, no removable disk drive and used paper tape as the main input/output medium. Since the paper tape system was no match for the rather powerful processor, most machines came with a lot more peripherals than this minimal configuration. The system could be expanded easily and thus could grow with the demands of its users.<br><br>
		
			The IBM 1132 printer is based in the IBM 407 tabulating machine which was developed in the 1950s. The 1132 features a simplified printing mechanism. Figure 2 shows the printer with its side panels removed. This is the view our visitors have on this rather archaic printing system. After restauration the printer looks like new. Visible on the front are the 120 solenoids which control the printing wheels - rock-solid technology of the 1950s and 1960s. 
			<br>The printer is capable of printing 80 lines per minute - not too impressive given the rather modern electronic control system and a result of the comparable low price of the overall system. Users demanding more printer throughput could also attach an IBM 1403 high-speed printer.

			<br><br>
			Figure 3 shows an 8k x 16 bit core memory stack (16 kB) with its associated control circuitry. The high density of this module is typical for IBMs SLT based devices of that time. IBM was far ahead of most of its competitors (not only in this respect). The matchbox shown visualizes the small size of this memory module. Most IBM 1130 systems only had one such module - the memory expansion of our system (left) is a rare device.
			<br><br>
			
			Our system also features several Facit paper tape devices (figure 4):
<br>			A paper tape winder type 4015, paper tape punch type 4060, paper tape reader type 4001, and punch control type 5104. Back then it was customary to have paper tape equipment connected to computers used in a scientific environment. Since these devices are very sturdy they were sometimes the last means in cases of major malfunctions of other input/output equipment. Unfortunately, it is not possible to start programs from paper tape - this requires an extra option.
 
		<br><br>
			Figure 5 shows additional output devices such as a plotter and a terminal. The COMPLOT DP-1 digital plotter shown is a fully transistorized high-speed plotter which was used instead of the much slower IBM plotter (which was basically a Calcomp 565 plotter). As simple as the plotter is from a mechanical and electronic point of view, it was extremely expensive at more than 18,000 DM in 1971 (about as expensive as two middle-class cars of that time). The profit-margin back than was quite remarkable.<br>
 
On the right a Tektronix 4006 graphic terminal can be seen. This device is capable of displaying text as well as graphics and was introduced in 1975. Instead of a bit-mapped display, a storage display tube was used since digital memory chips were prohibitively expensive back then. This display tube is based on the same principles of operation as contemporary storage oscilloscope tubes.<br>
 
The processing of large data sets required a tape drive such as our Ampex TMZ shown in figure 6. It was cheaper than comparable devices used in larger installations.<br><br>
 
*** We are desperately looking for schematics and documentation for this tape drive and its computer interface! Please let us know if you happen to have information regarding this. ***<br><br>
 
			[The IBM 1130 has been donated by the FITG (Frankfurt), the peripheral devices are on loan from the FITG.]
 		</p>
			
			</div>
			</div>
			
		<div class="box clear">	
			</div>
			<div class="desc-left no-copyright">
			<a class="popup" href="/shared/photos/rechnertechnik/ampex-detail.jpg">
				<img src="/shared/photos/rechnertechnik/ampex-tmz.jpg" alt="Ampex Bandlaufwerk TMZ" width="195" height="414" />
			</a>	6
			</div>


<h3 style="margin-left: 257px"> Restauration-Blog </h3>

			
			As for out UNIVAC 9200 we also maintain a repair blog for this machine. The main challenge in repairing a machine like this is that the machine was very advanced for its time. There are no individual transistors or common integrated circuits, instead IBM used a proprietary technology called SLT (Solid Logic Technology). SLT devices are small ceramic substrates on which extremely tiny transistors, diodes, resistors etc. are mounted (SLT devices are no integrated circuits - they more closely resemble hybrid circuits).<br>
			Of course, these devices are no longer manufactured, so there are virtually no spare parts. Accordingly, defective SLT devices must be "repaired" - a very tedious and time consuming process.<br>
			So the very advanced technology developed by IBM which made this machine feasible now turns out to be a real problem for its repair and restauration. Other companies, like BULL, still used discrete transistors mounted on classic printed circuit boards in the 1960 and some even later. 

The time required for a complex endeavor like this is substantial. Fortunately one never knows how complex the repair will be in the end (our BULL Gamma 55 was plagued by more than 30 distinct failures!) - otherwise one would never even begin such a repair attempt. The actual blog starts here and is continued on a follow-up page (see below).

	
		<p class="small">
		
		<b>Dec.2013:</b>  Cleaning the machine and removing disintegrated foam rubber mats.<br><br>
			
		<b>30.12.2013:</b> Due to curiosity we already invested much time. After installing
32 kB memory (with a word length of 16 bits) the first power on was attempted: No magic smoke escaping - a big success! Nevertheless, the console typewriter banged its type head repeatedly at the left margin so we switched off quickly.<br>

<p class="small">

<div class="desc-left">
		<a class="popup" href="/shared/photos/rechnertechnik/ibm-1130-board.jpg">
	<img src="/shared/photos/rechnertechnik/ibm-1130-board.jpg" alt="Modul der IBM1130" width="195" height="247" /></a>
	<p class="small">Typical SLT module. The schematics were printed with standard high-speed printers which makes their interpretation hard all logic-elements look quite similar.
</p></div>	
	
	<p class="small">
		<b>2.1.2014:</b> Removal of the console typewriter for easier maintenance. After
three hours the bug was found: Four small bars, moved by springs, were
immovable due to old oil which had solidified. Correction was simple due to
some W40.<br><br>
		
		<b>4.1.2014:</b> Since the console typewriter is now working flawless, we
concentrated on writing data to the memory system. At first sight, the memory
is working a "bit".<br><br>
		
		<b>6.1.2014:</b> After we have learned how to deposit data to the memory and read it
back, it became clear that there are at least two problems: 1: Depositing
values in consecutive memory addresses fails, and 2: two out of 15 bits are
missing at all, causing parity errors.<br>
		<br><br>
		
		<b>8.1.2014:</b> The second error was found rather quickly: One "head connector" was
missing from the second memory module. We fail to understand how such an item
can get lost. The first error is harder to find.<br><br>
		
		<b>11.1.2014:</b> The first error turns out to be a show-stopper: The address
generation is working fine but the driver for the address lines 11, 12, 13,
and 14 is missing since there is no board 7342! Somehow this has been removed
from the machine! That is the worst case for every restoration project! A
closer inspection revealed, that a second board, 4628, is also missing from
the printer control. <br><br>

		</small>
		<br>
		
		<p><a class="go" href="/en/devices/ibm1130-blog.php">IBM 1130 Restauration blog continuation</a>
		
		
